#
# spec file for package ngrep
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ngrep
Version:        1.45
Release:        9.3
Summary:        Network grep
License:        BSD-4-Clause
Group:          Productivity/Networking/Diagnostic
Url:            http://ngrep.sourceforge.net
Source:         %{name}-%{version}.tar.bz2
Patch0:         10_debian-build.diff
Patch1:         10_man-fixes.diff
Patch2:         20_setlocale.diff
Patch3:         40_ipv6-offsets.diff
BuildRequires:  libpcap-devel
BuildRequires:  pcre-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ngrep strives to provide most of GNU grep's common features, applying them
to the network layer.  ngrep is a pcap-aware tool that will allow you to
specify extended regular or hexadecimal expressions to match against data
payloads of packets. It currently recognizes IPv4/6, TCP, UDP, ICMPv4/6,
IGMP and Raw across Ethernet, PPP, SLIP, FDDI, Token Ring and null interfaces,
and understands BPF filter logic in the same fashion as more common packet
sniffing tools, such as tcpdump and snoop.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure \
    --disable-pcap-restart \
    --enable-pcre \
    --with-ipv6 \
    --with-pcap-includes=%{_includedir}/pcap

make %{?_smp_mflags} \
    STRIPFLAG=""

%install
%make_install

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8.gz
%doc doc/CHANGES.txt
%doc doc/CREDITS.txt
%doc doc/README.txt
%doc LICENSE.txt

%changelog
* Sun Jul 13 2014 adam@mizerski.pl
- Copied debian patches
  - 10_debian-build.diff
  - 10_man-fixes.diff
  - 20_setlocale.diff
  - 40_ipv6-offsets.diff
- Fixed pcap usage. See
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=546596
- Enabled IPv6 support.
- Usage of system provided pcre library.
- Disabled automatic stripping of executable.
- Added CHANGES.txt CREDITS.txt README.txt and LICENSE.txt files
  to packaged documentation.
- Spec file cleanup.
* Thu May 31 2012 pcerny@suse.com
- corrected licence
* Tue Aug 26 2008 lchiquitto@novell.com
- First version (1.45)
